Ac3net.getDirectedOrDualLinks {Ac3net} | R Documentation

## Find the unique directed or dual links in the network.

### Description

`Ac3net.getDirectedOrDualLinks` takes a network list matrix and returns a unique network; either directionals or the duals.

### Usage

    Ac3net.getDirectedOrDualLinks(net1, dual_=FALSE)

### Arguments

`net1` | A matrix that represents the links between two variables at each row. Namely, the element at row i and column 1 and the element at row i and column 2 are assumed to be paired or linked. There is no connection assumed among rows.
`dual_` | It is FALSE by default, which means there is directionality assumed from column 1 to column 2 at each matrices. A–B and B–A is cases filtered out. If TRUE, then only the dual pairs selected.

### Details

`Ac3net.getDirectedOrDualLinks` takes a network list matrix and returns a unique network; either directionals or the duals. If directed=TRUE then it is the unique pairs from column 1 to column 2. If directed=FALSE then it is the unique dual pairs (selects if and only if A–B and B–A exist). directional or undirectional common pairs between the two regarding the first two columns of the networks.

### Value

`Ac3net.getDirectedOrDualLinks` returns a unique network matrix.

### Author(s)

Gokmen Altay

### References

G. Altay,"Directed Conservative Causal Core Gene Networks", bioRxiv, 2018. G. Altay, F. Emmert-Streib, "Inferring the conservative causal core of gene regulatory networks", BMC Systems Biology (2010) 4:132.

### See Also

`Ac3net.maxmim`, `Ac3net.cutoff`,

### Examples

    # net1
    # net <-  Ac3net.getDirectedOrDualLinks(net1, dual_=FALSE)

[Package Ac3net version 1.2.2 Index]